Skip to main content
`Ctrl`+`K`

# DMPlexInflateToGeomModelUseXYZ

Snaps the vertex coordinates of a `DMPLEX` object representing the mesh to its geometry if some vertices depart from the model. This usually happens with non-conforming refinement.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInflateToGeomModelUseXYZ(DM dm) PeNS

Collective

## Input Parameter

- dm - The uninflated `DM` object representing the mesh

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMCreate()`, `DMPlexCreateEGADS()`

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages